View Transaction Timeline
curl --request GET \
--url https://api.flutterwave.com/v3/transactions/{id}/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.flutterwave.com/v3/transactions/{id}/events"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.flutterwave.com/v3/transactions/{id}/events', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Transaction events fetched",
"data": [
{
"note": "Loaded modal https://raveappv2.herokuapp.com/pay/akhlm",
"actor": "h0vkard@flw.ext",
"object": "modal",
"action": "loaded",
"context": "web",
"created_at": "2019-12-13T22:09:57.997Z"
},
{
"note": "Switched to Pay with Bank Option",
"actor": "h0vkard@flw.ext",
"object": "modal",
"action": "switched",
"context": "web",
"created_at": "2019-12-13T22:09:58.001Z"
},
{
"note": "Pay button clicked",
"actor": "h0vkard@flw.ext",
"object": "MODAL",
"action": "click",
"context": "web",
"created_at": "2019-12-13T22:09:56.903Z"
},
{
"note": "IP Resolved 197.210.29.248",
"actor": "h0vkard@flw.ext",
"object": "IP",
"action": "request",
"context": "web",
"created_at": "2019-12-13T22:09:59.595Z"
},
{
"note": "Switched to Pay with Card Option",
"actor": "h0vkard@flw.ext",
"object": "modal",
"action": "switched",
"context": "web",
"created_at": "2019-12-13T22:10:00.314Z"
},
{
"note": "Entering Card Number",
"actor": "h0vkard@flw.ext",
"object": "Card Number",
"action": "typing",
"context": "web",
"created_at": "2019-12-13T22:10:03.505Z"
},
{
"note": "Stopped entering Card Number",
"actor": "h0vkard@flw.ext",
"object": "Card Number",
"action": "typing",
"context": "web",
"created_at": "2019-12-13T22:10:04.522Z"
},
{
"note": "Entering Expiry",
"actor": "h0vkard@flw.ext",
"object": "Expiry",
"action": "typing",
"context": "web",
"created_at": "2019-12-13T22:10:04.523Z"
},
{
"note": "Entering CVV",
"actor": "h0vkard@flw.ext",
"object": "CVV",
"action": "typing",
"context": "web",
"created_at": "2019-12-13T22:10:06.595Z"
},
{
"note": "Stopped entering Expiry",
"actor": "h0vkard@flw.ext",
"object": "Expiry",
"action": "typing",
"context": "web",
"created_at": "2019-12-13T22:10:06.593Z"
},
{
"note": "Stopped entering CVV",
"actor": "h0vkard@flw.ext",
"object": "CVV",
"action": "typing",
"context": "web",
"created_at": "2019-12-13T22:10:12.412Z"
},
{
"note": "Attempting card charge request",
"actor": "h0vkard@flw.ext",
"object": "CREDIT_CARD",
"action": "charge",
"context": "web",
"created_at": "2019-12-13T22:10:12.530Z"
},
{
"note": "Submitted Payment Details",
"actor": "h0vkard@flw.ext",
"object": "payment details:credit_card",
"action": "submitted",
"context": "web",
"created_at": "2019-12-13T22:10:12.529Z"
},
{
"note": "card charge request successful: request for PIN",
"actor": "h0vkard@flw.ext",
"object": "CREDIT_CARD",
"action": "charge",
"context": "web",
"created_at": "2019-12-13T22:10:14.097Z"
},
{
"note": "Attempting card charge request",
"actor": "h0vkard@flw.ext",
"object": "CREDIT_CARD",
"action": "charge",
"context": "web",
"created_at": "2019-12-13T22:10:19.209Z"
},
{
"note": "Card charge taking too long. Polling for response",
"actor": "h0vkard@flw.ext",
"object": "LONG_REQUEST",
"action": "charge",
"context": "web",
"created_at": "2019-12-13T22:10:23.880Z"
},
{
"note": "card charge request successful: request for OTP",
"actor": "h0vkard@flw.ext",
"object": "CREDIT_CARD",
"action": "charge",
"context": "web",
"created_at": "2019-12-13T22:10:25.263Z"
},
{
"note": "Attempting to validate card charge",
"actor": "h0vkard@flw.ext",
"object": "CARD_CHARGE",
"action": "validate",
"context": "web",
"created_at": "2019-12-13T22:10:31.630Z"
},
{
"note": "Validate card charge request complete",
"actor": "h0vkard@flw.ext",
"object": "CARD_CHARGE",
"action": "validate",
"context": "web",
"created_at": "2019-12-13T22:10:33.146Z"
},
{
"note": "Transaction Completed!",
"actor": "h0vkard@flw.ext",
"object": "TRANSACTION",
"action": "completion",
"context": "web",
"created_at": "2019-12-13T22:10:33.151Z"
},
{
"note": "Validate card charge successful",
"actor": "h0vkard@flw.ext",
"object": "CARD_CHARGE",
"action": "validate",
"context": "web",
"created_at": "2019-12-13T22:10:33.147Z"
}
]
}Transactions
View Transaction Timeline
Get transaction events
GET
/
transactions
/
{id}
/
events
View Transaction Timeline
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
application/json Example:
"application/json"
Path Parameters
Was this page helpful?
⌘I